StableOps
API 参考

查询支付订单列表

查询当前组织和环境的 StableOps 支付订单列表,按接口提供的条件筛选并分页读取,用于客服排查和日常对账。商户应在服务端保管密钥,按接口要求使用稳定幂等键,并以查询结果和验签后的事件核对状态。生产履约建议等待最终确认,不能仅凭页面跳转认定支付成功。

GET/v1/payment-orders

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Query Parameters

offset?number

Skip this many items before returning results (default 0).

limit?number

Page size (1-200, default 50).

status?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/payment-orders"
{
  "items": [
    {
      "id": "string",
      "merchant_order_id": "string",
      "amount": "string",
      "requested_amount": "string",
      "chain_amount": "string",
      "settlement_asset": "USDC",
      "status": "created",
      "expires_at": "2019-08-24T14:15:22Z",
      "metadata": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "accepted_assets": [
        {
          "chain": "ethereum",
          "asset": "USDC"
        }
      ],
      "payment_instructions": [
        {
          "chain": "ethereum",
          "asset": "USDC",
          "address": "string"
        }
      ]
    }
  ],
  "has_more": true,
  "total": 0
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

这篇文档怎么样?

最后更新